#
# Conditional build:
%bcond_without	ocaml_opt	# build opt (native code)

%ifnarch %{ix86} %{x8664} arm aarch64 ppc sparc sparcv9 
%undefine	with_ocaml_opt
%endif

Summary:	OUnit: unit tests for OCaml
Summary(pl.UTF-8):	OUnit - testy jednostkowe dla OCamla
Name:		ocaml-ounit
Version:	2.0.0
Release:	5
License:	MIT
Group:		Libraries
Source0:	http://forge.ocamlcore.org/frs/download.php/1258/ounit-%{version}.tar.gz
# Source0-md5:	2e0a24648c55005978d4923eb4925b28
URL:		http://ounit.forge.ocamlcore.org/
BuildRequires:	ocaml >= 3.04-7
BuildRequires:	ocaml-findlib
%requires_eq	ocaml
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OUnit is a unit testing framework for OCaml, inspired by the JUnit
tool for Java, and the HUnit tool for Haskell.

%description -l pl.UTF-8
OUnit to szkielet testów jednostkowych dla OCamla, zainspirowany
narzędziami JUnit dla Javy oraz HUnit dla Haskella.

%prep
%setup -q -n ounit-%{version}

%build
# not autoconf configure
./configure \
	--prefix=%{_prefix} \
	--override bytecomp_c_compiler "%{__cc} %{rpmcflags} -D_FILE_OFFSET_BITS=64 -D_REENTRANT -fPIC" \
	--override native_c_compiler "%{__cc} %{rpmcflags} -D_FILE_OFFSET_BITS=64 -D_REENTRANT"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/{site-lib/oUnit,stublibs}

%{__make} install \
	OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml

mv $RPM_BUILD_ROOT%{_libdir}/ocaml/oUnit/META $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/oUnit
cat >> $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/oUnit/META <<EOF
directory = "+oUnit"
EOF

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_libdir}/ocaml/oUnit/oUnit*.mli

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS.txt LICENSE.txt README.txt doc/manual.txt src/oUnit*.mli
%dir %{_libdir}/ocaml/oUnit
%if %{with ocaml_opt}
%{_libdir}/ocaml/oUnit/oUnit.a
%{_libdir}/ocaml/oUnit/oUnitAdvanced.a
%{_libdir}/ocaml/oUnit/oUnitThreads.a
%endif
%{_libdir}/ocaml/oUnit/oUnit*.cm[ixa]*
%{_libdir}/ocaml/oUnit/oUnit*.ml
%{_libdir}/ocaml/site-lib/oUnit
%{_examplesdir}/%{name}-%{version}
%changelog
* Fri Mar 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-ounit.git;a=log;h=master

* Fri Mar 18 2016 Jan Rękorajski <baggins@pld-linux.org> 741089a
- release 5 (by relup.sh)

* Sat Jul 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 78d2c0f
- complete ocaml_opt archs list
- release 4 (ocaml rebuild)

* Sun Mar 01 2015 Jan Rękorajski <baggins@pld-linux.org> 93213bc
- BR ocaml-findlib

* Sun Mar 01 2015 Jan Rękorajski <baggins@pld-linux.org> 9fe9f8c
- added ocaml_opt bcond
- rel 3

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 1841452
- rebuild with ocaml 4.02
- release 2 (by relup.sh)

* Sun Oct 27 2013 Jakub Bogusz <qboosh@pld-linux.org> e359bc6
- updated to 2.0.0

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 5a509c9
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> a779204
- cleanup

* Tue Sep 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 4e2f8f9
- new

